using System;
using System.Collections;
using System.Linq;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using System.Runtime.Serialization;


namespace golestan
{
    class term
    {

        int a;
        string name;
        public term(int a, string s1)
        {
            this.a = a;
            if (s1.Length > 20)
            {
                name = s1.Remove(20);
            }
            else if (s1.Length < 20)
            {
                name = s1 + new string(' ', 20 - s1.Length);
            }
            else
                name = s1;
        }
        public int A
        {
            get
            {
                return a;
            }
            set
            {
                a = value;
            }
        }
        public string NAME
        {
            get
            {
                return name;
            }
            set
            {
                if (value.Length > 20)
                {
                    name = value.Remove(20);
                }
                else if (value.Length < 20)
                {
                    name = value + new string(' ', 20 - value.Length);
                }
                else
                    name = value;
            }
        }


    }
}
